<template>
    <v-row justify="center" >
        <v-dialog 
            v-model="dialogDatepicker"
            max-width="350"
        >
            <v-card>
                <v-card-text class="d-flex justify-center">

                    <v-date-picker
                        v-model="date"
                        class="mt-4"
                        :min="min"
                        @change="closeDatepicker()"
                    >

                    </v-date-picker>
                </v-card-text>
            </v-card>
        </v-dialog>
    </v-row>
</template>

<script setup>
    import {ref} from 'vue';

    const emit = defineEmits(['closeModal'])
    const dialogDatepicker = ref(false)
    const date = ref((new Date(Date.now() - (new Date()).getTimezoneOffset() * 60000 ) ).toISOString().substring(0,10))
    const min = ref(null)

    function openModal(dateNew, minDate) {
        min.value = minDate
        dialogDatepicker.value = true

        date.value = dateNew ? dateNew : ref((new Date(Date.now() - (new Date()).getTimezoneOffset() * 60000 ) ).toISOString().substring(0,10));
    }

    function closeDatepicker() {
        emit('closeModal', date.value)
        dialogDatepicker.value = false
    }

    defineExpose({
        openModal,
    })

</script>

<style>

</style>